summaryrefslogtreecommitdiff
path: root/scripts
diff options
context:
space:
mode:
authorValleyKnight <[email protected]>2021-05-11 12:36:21 -0400
committerValleyKnight <[email protected]>2021-05-11 12:36:21 -0400
commit1a76955a234efda493889f9f6dad6f24c794d39b (patch)
tree31baf1f902bc535918dba9b3c7eee65d48d6bef5 /scripts
parentfa7318eeb1d43b30140516dd62097e289f1160f1 (diff)
add basic portage support
Diffstat (limited to 'scripts')
-rwxr-xr-xscripts/get.sh3
1 files changed, 2 insertions, 1 deletions
diff --git a/scripts/get.sh b/scripts/get.sh
index f6ba9d49a..6592324e2 100755
--- a/scripts/get.sh
+++ b/scripts/get.sh
@@ -153,11 +153,12 @@ install_tools()
{ yum --version >/dev/null 2>&1 && $sudoprefix yum install -y git readline-devel ccache && $sudoprefix yum groupinstall -y 'Development Tools'; } ||
{ zypper --version >/dev/null 2>&1 && $sudoprefix zypper --non-interactive install git readline-devel ccache && $sudoprefix zypper --non-interactive install -t pattern devel_C_C++; } ||
{ pacman -V >/dev/null 2>&1 && $sudoprefix pacman -S --noconfirm --needed git base-devel ccache; } ||
+ { emerge -V >/dev/null 2>&1 && $sudoprefix emerge -atv git ccache gentoolkit; } ||
{ pkg list-installed >/dev/null 2>&1 && $sudoprefix pkg install -y git getconf build-essential readline ccache; } || # termux
{ pkg help >/dev/null 2>&1 && $sudoprefix pkg install -y git readline ccache ncurses; } || # freebsd
{ apk --version >/dev/null 2>&1 && $sudoprefix apk add git gcc g++ make readline-dev ncurses-dev libc-dev linux-headers; }
}
-test_tools || { install_tools && test_tools; } || my_exit "$(echo -e 'Dependencies Installation Fail\nThe getter currently only support these package managers\n\t* apt\n\t* yum\n\t* zypper\n\t* pacman\nPlease install following dependencies manually:\n\t* git\n\t* build essential like `make`, `gcc`, etc\n\t* libreadline-dev (readline-devel)\n\t* ccache (optional)')" 1
+test_tools || { install_tools && test_tools; } || my_exit "$(echo -e 'Dependencies Installation Fail\nThe getter currently only support these package managers\n\t* apt\n\t* yum\n\t* zypper\n\t* pacman\n\t* portage\nPlease install following dependencies manually:\n\t* git\n\t* build essential like `make`, `gcc`, etc\n\t* libreadline-dev (readline-devel)\n\t* ccache (optional)')" 1
projectdir=$tmpdir
if [ 'x__local__' = "x$branch" ]; then
if [ -d '.git' ]; then